rpms/zfs-fuse/F-12 zfs-fuse.init, 1.4, 1.5 zfs-fuse.spec, 1.19, 1.20 zfs-fuse.sysconfig, 1.1, 1.2

Uwe Kubosch donv at fedoraproject.org
Thu Dec 31 16:45:15 UTC 2009


Author: donv

Update of /cvs/pkgs/rpms/zfs-fuse/F-12
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv31224/F-12

Modified Files:
	zfs-fuse.init zfs-fuse.spec zfs-fuse.sysconfig 
Log Message:
* - Relaxed dependency on fuse from 2.8.0 to 2.7.4 to allow installation on RHEL/Centos 5


Index: zfs-fuse.init
===================================================================
RCS file: /cvs/pkgs/rpms/zfs-fuse/F-12/zfs-fuse.init,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -p -r1.4 -r1.5
--- zfs-fuse.init	23 Jan 2009 23:48:24 -0000	1.4
+++ zfs-fuse.init	31 Dec 2009 16:45:15 -0000	1.5
@@ -55,6 +55,32 @@ start() {
     	exit 99
     esac
 
+    if [ "$ZFS_KILL_ORPHANS" == "yes_really" ] ; then
+      echo -n Killing processes with unknown working directory:
+      for a in 1 2 3 4 5 ; do
+        orphans=`lsof -w -n | awk '$4 == "cwd" && $5 == "unknown" {print $2}'`
+        echo -n $orphans
+        [ "$orphans" == "" ] && break
+        echo -n .
+        kill $orphans
+        sleep 1
+      done
+      orphans=`lsof -w -n | awk '$4 == "cwd" && $5 == "unknown" {print $2}'`
+      if [ "$orphans" != "" ] ; then
+        echo_failure ; echo
+        echo -n Some orphans still live: $orphans  Killing with signal 9
+        kill -9 $orphans
+      fi
+      orphans=`lsof -w -n | awk '$4 == "cwd" && $5 == "unknown" {print $2}'`
+      if [ "$orphans" != "" ] ; then
+        echo_failure ; echo
+        echo -n Some orphans still live: $orphans
+        echo_failure ; echo
+        exit 8
+      fi
+      echo_success ; echo
+    fi
+
     echo -n $"Starting $prog: "
     daemon $exec -p "$PIDFILE"
     exec_retval=$?
@@ -84,7 +110,12 @@ start() {
     echo_success
     echo
 
-	if [ $ZFS_AUTOMOUNT -eq 1 ] ; then
+	if [ "$ZFS_AUTOMOUNT" == "1" ] ; then
+		echo "Deprecated use of ZFS_AUTOMOUNT option.  Use ZFS_AUTOMOUNT=yes instead."
+		ZFS_AUTOMOUNT=yes
+	fi
+
+	if [ "$ZFS_AUTOMOUNT" == "yes" ] ; then
 		echo -n $"Mounting zfs partitions: "
     	sleep 1
         rm -f /var/lib/random-seed


Index: zfs-fuse.spec
===================================================================
RCS file: /cvs/pkgs/rpms/zfs-fuse/F-12/zfs-fuse.spec,v
retrieving revision 1.19
retrieving revision 1.20
diff -u -p -r1.19 -r1.20
--- zfs-fuse.spec	26 Dec 2009 19:30:37 -0000	1.19
+++ zfs-fuse.spec	31 Dec 2009 16:45:15 -0000	1.20
@@ -1,7 +1,7 @@
 Summary:          ZFS ported to Linux FUSE
 Name:             zfs-fuse
 Version:          0.6.0
-Release:          5%{?dist}
+Release:          6%{?dist}
 Group:            System Environment/Base
 License:          CDDL
 URL:              http://zfs-fuse.net/
@@ -10,9 +10,10 @@ URL:              http://zfs-fuse.net/
 #   wget http://zfs-fuse.net/releases/0.6.0/zfs-fuse-0.6.0.tar.bz2
 Source00:         %{name}/%{name}-%{version}.tar.bz2
 Source01:         zfs-fuse.init
-Source02:         zfs-fuse.sysconfig
+Source02:         zfs-fuse.scrub
+Source03:         zfs-fuse.sysconfig
 BuildRequires:    fuse-devel libaio-devel scons zlib-devel
-Requires:         fuse >= 2.8.0-1
+Requires:         fuse >= 2.7.4-1
 Requires(post):   chkconfig
 Requires(preun):  chkconfig initscripts
 Requires(postun): initscripts
@@ -32,6 +33,8 @@ Microsystems, originally designed for So
 This project is a port of ZFS to the FUSE framework for the Linux
 operating system.
 
+Project home page is at http://zfs-fuse.net/
+
 %prep
 %setup -q
 
@@ -50,7 +53,8 @@ scons
 pushd src
 scons install install_dir=%{buildroot}%{_bindir}
 %{__install} -Dp -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
-%{__install} -Dp -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
+%{__install} -Dp -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.weekly/98-%{name}-scrub
+%{__install} -Dp -m 0755 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
 
 %clean
 %{__rm} -rf %{buildroot}
@@ -83,9 +87,20 @@ fi
 %{_bindir}/zpool
 %{_bindir}/ztest
 %{_initrddir}/%{name}
+%{_sysconfdir}/cron.weekly/98-%{name}-scrub
 %{_sysconfdir}/sysconfig/%{name}
 
 %changelog
+* Mon Jan 04 2010 Uwe Kubosch <uwe at kubosch.no> - 0.6.0-6
+- Added option for automatic weekly scrubbing.
+  Set ZFS_WEEKLY_SCRUB=yes in /etc/sysconfig/zfs-fuse to enable
+- Changed ZFS_AUTOMOUNT option value from "1" to "yes" for better readability.
+  ZFS_AUTOMOUNT=1 deprecated and will be removed in version 0.7.0.
+- Added option for killing processes with unknown working directory at zfs-fuse startup.
+  This would be the case if zfs-fuse crashed.  Use with care.  It may kill unrelated processes.
+  Set ZFS_KILL_ORPHANS=yes_really in /etc/sysconfig/zfs-fuse to enable.
+- Relaxed dependency on fuse from 2.8.0 to 2.7.4 to allow installation on RHEL/Centos 5
+
 * Sat Dec 26 2009 Uwe Kubosch <uwe at kubosch.no> - 0.6.0-5
 - Removed chckconfig on and service start commands from install script
   See https://fedoraproject.org/wiki/Packaging:SysVInitScript#Why_don.27t_we


Index: zfs-fuse.sysconfig
===================================================================
RCS file: /cvs/pkgs/rpms/zfs-fuse/F-12/zfs-fuse.sysconfig,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- zfs-fuse.sysconfig	22 Dec 2008 21:45:14 -0000	1.1
+++ zfs-fuse.sysconfig	31 Dec 2009 16:45:15 -0000	1.2
@@ -1,2 +1,9 @@
-# Set this option to 1 if you want all ZFS filesystems to be mounted on boot.
-ZFS_AUTOMOUNT=1
+# Set this option to yes if you want all ZFS filesystems to be mounted on boot.
+ZFS_AUTOMOUNT=yes
+
+# Set this option to yes to enable weekly scrubbing of your ZFS pools.
+ZFS_WEEKLY_SCRUB=yes
+
+# Set this option to yes_really to kill all processes with unknown working directory at zfs-fuse startup
+# Use with extreme care.  This will also kill processes totally unrelated to zfs-fuse.
+# ZFS_KILL_ORPHANS=no|yes_really




More information about the scm-commits mailing list